#include "cursor.h"

CScrollText::CScrollText(int port){
  LM = new MeLEDMatrix(port);
  num_port = port;
  LM->clearScreen();
  LM->setColorIndex(1);
  LM->setBrightness(6);
}

CScrollText::~CScrollText()
{
  LM->reset(num_port);
  delete LM;
}

void CScrollText::clear(){
  LM->clearScreen();
}

void CScrollText::wait(float seconds){
    long endTime = millis() + seconds * 1000;
    while(millis() < endTime){};
}

void CScrollText::scrollText(String words, int direction, int speed){
    int strip = (words.length() * 5) + words.length() + 16;
    int cursor = 17;

     if (direction == -1){
         while(cursor > (-strip))
            {
                LM->drawStr(cursor,0+7,words.c_str());
                cursor += direction;
                wait(0.05*speed);
            }
        }else{
            cursor = -strip;
            while(cursor <  17)
            {
                LM->drawStr(cursor,0+7,words.c_str());
                cursor += direction;
                wait(0.05*speed);
            }
        }
}
